<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
     xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
     f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
     xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
     data-namespace-typo3-fluid="true">

    <f:asset.css identifier="drk_calltoaction-flyout" href="EXT:drk_calltoaction/Resources/Public/Css/flyout.css"/>

<div class="c-flyout js-flyout">
    <div class="c-flyout__body   js-toggle-visible is-in-viewport">
        <f:if condition="{settings.amp} == '1'">
            <f:then>

                    <div class="c-flyout__content bg bg--blue">
                        <div class="o-media o-media--stacked">
                            <figure class="o-media__img">
                                <f:render partial="Copyright" arguments="{media: files.0}"/>
                                <f:image treatIdAsReference="true"
                                         src="{files.0.uid}"
                                         alt="{files.0.originalResource.alternative}"
                                         title="{files.0.originalResource.title}"
                                         data="{copyright: '{files.0.properties.copyright}'}"/>
                            </figure>
                            <div class="o-media__body">
                                <span class="flyoutH4">{data.title}</span>
                                <f:format.html parseFuncTSPath="lib.parseFunc_RTE">{data.bodytext}</f:format.html>
                            </div>
                        </div>
                    </div>
                    <div class="c-flyout__foot c-flyout__foot--borderless">
                        <f:if condition="{data.link}">
                            <f:link.typolink parameter="{data.link}" class="c-flyout__action">
                                <span class="c-flyout__action-text">{data.linktext}</span>

                            </f:link.typolink>
                        </f:if>
                    </div>
            </f:then>
            <f:else>

                <f:form actionUri="{f:uri.typolink(parameter: '{data.link}')}" action="form" objectName="donation" extensionName="drkdonations"  pluginName="donation"  controller="Donation">

                    <div class="c-flyout__content">
                        <div class="o-media o-media--stacked">
                            <figure class="o-media__img">
                                <f:if condition="{files}">
                                    <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}')}</f:variable>
                                    <f:render partial="Copyright" arguments="{media: files.0}"/>
                                    <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                         data-src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                         alt="{files.0.originalResource.alternative}"
                                         title="{files.0.originalResource.title}"
                                         {imageSize -> f:format.raw()}
                                    class="lazyload"
                                    />
                                    <noscript>
                                        <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                             {imageSize -> f:format.raw()}
                                        alt="{files.0.originalResource.alternative}"
                                        title="{files.0.originalResource.title}" />
                                    </noscript>
                                </f:if>
                            </figure>
                            <div class="o-media__body">
                                <span class="flyoutH4">{data.title}</span>
                                <f:format.html parseFuncTSPath="lib.parseFunc_RTE">{data.bodytext}</f:format.html>
                            </div>
                        </div>

                        <div class="o-simple-form">
                            <fieldset class="o-simple-form__section">
                                <div class="o-simple-form__item h-relative">
                                    <label for="donation__amount_flyout" class="o-simple-form__label">
                                        <f:translate
                                                key="LLL:EXT:drk_calltoaction/Resources/Private/Language/locallang.xlf:partial.calltoaction.2.amount"
                                        />
                                    </label>
                                    <f:form.textfield id="donation__amount_flyout" class="o-simple-form__field c-flyout__input"
                                                      property="amount"
                                                      type="tel" maxlength="8" required="" value="{data.amount}"
                                                      pattern="^(\d{1,5})?$"
                                                      placeholder="{f:translate(id: 'partial.calltoaction.2.amount', extensionName:'drk_calltoaction')}"/>
                                    <span class="h-text__currency">€</span>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                    <div class="c-flyout__foot c-flyout__foot--borderless">
                        <f:if condition="{data.link}">
                            <f:form.button class="c-flyout__action">

                                <span class="c-flyout__action-text">{data.linktext}</span>

                            </f:form.button>
                        </f:if>
                    </div>
                </f:form>
            </f:else>
        </f:if>

    </div>
</div>

</div>
